MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024811Community[OCCT] OCCT:Modeling Algorithmspublic2014-04-09 11:582014-09-11 11:47
ReporterHayashi 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version32 bit
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.7.1Fixed in Version[OCCT] 6.7.1 
Summary0024811: Intersection is insufficient
DescriptionOnly two points can be found although there must be three intersections of attached edge and edge.

The intersection to expect:
1: -2.22458486160362e-016, 1, 0
2: 0.0202691578002498, 0.999794559518151, 0
3: 0.826489786965127, -0.562951713775114, 0

But, one of the two of 1 or 2 cannot be found.
The result returns three edges although I want four edges at bopcut.
Steps To ReproduceDraw[1]> pload ALL
1
Draw[2]> restore e1.brep curve
curve
Draw[3]> restore e2.brep circle
circle
Draw[4]> distmini dm curve circle
dm_val dm dm2
Draw[5]> dump dm

*********** Dump of dm *************
Shape : 1, FORWARD
Dump of 1 TShapes
-----------------
Flags : Free, Modified, Checked, Orientable, Closed, Infinite, Convex
TShape # 1 : VERTEX 1101101 00F0D700
    Tolerance : 1e-007
    - Point 3D : -2.22458486160362e-016, 1, 0

Draw[6]> dump dm2

*********** Dump of dm2 *************
Shape : 1, FORWARD
Dump of 1 TShapes
-----------------
Flags : Free, Modified, Checked, Orientable, Closed, Infinite, Convex
TShape # 1 : VERTEX 1101101 00F0D748
    Tolerance : 1e-007
    - Point 3D : 0.826489786965127, -0.562951713775114, 0

Draw[7]> bop curve circle
Draw[8]> bopcut result
Draw[9]> explode result
result_1
Draw[10]> explode result_1
result_1_1 result_1_2 result_1_3
Draw[11]> explode result_1_2
result_1_2_1 result_1_2_2
Draw[12]> dump result_1_2_1

*********** Dump of result_1_2_1 *************
Shape : 1, FORWARD
Dump of 1 TShapes
-----------------
Flags : Free, Modified, Checked, Orientable, Closed, Infinite, Convex
TShape # 1 : VERTEX 0101101 00F0D868
    Tolerance : 1.00000012437293e-007
    - Point 3D : 0.0202691578002498, 0.999794559518151, 0

Draw[13]> dump result_1_2_2

*********** Dump of result_1_2_2 *************
Shape : 1, REVERSED
Dump of 1 TShapes
-----------------
Flags : Free, Modified, Checked, Orientable, Closed, Infinite, Convex
TShape # 1 : VERTEX 0101101 00F0D820
    Tolerance : 1.00000347198856e-007
    - Point 3D : 0.826489786965101, -0.562951713774536, 0

Draw[14]>
TagsNo tags attached.
Test case numberbugs modalg_5 bug24811
Attached Fileszip file icon edges.zip (681 bytes) 2014-04-09 11:58

- Relationships

-  Notes
(0029027)
Hayashi (reporter)
2014-04-23 09:21

It seems that this issue is solved by OCC6.7.1 beta.
Four edges returns.

The result:(on VC9)

--OCC6.7.0
Draw[2]> restore e1.brep curve
curve
Draw[3]> restore e2.brep circle
circle
Draw[4]> bop curve circle
Draw[5]> bopcut result
Draw[6]> explode result
result_1
Draw[7]> explode result_1
result_1_1 result_1_2 result_1_3


--OCC6.7.1 beta
Draw[2]> restore e1.brep curve
curve
Draw[3]> restore e2.brep circle
circle
Draw[4]> bop curve circle
Draw[5]> bopcut result
Draw[6]> explode result
result_1
Draw[7]> explode result_1
result_1_1 result_1_2 result_1_3 result_1_4

Draw[8]> explode result_1_2
result_1_2_1 result_1_2_2
Draw[9]> dump result_1_2_1
*********** Dump of result_1_2_1 *************
TShape # 1 : VERTEX 0101101 02F47808

    Tolerance : 1.00000000333126e-007
    - Point 3D : 2.27537646288857e-015, 1, 0
Draw[10]> dump result_1_2_2
*********** Dump of result_1_2_2 *************
TShape # 1 : VERTEX 0101101 02F47850

    Tolerance : 1.00000000889323e-007
    - Point 3D : 0.0202691578003621, 0.999794559518137, 0
(0029085)
abv (manager)
2014-04-25 19:37

Please add a test case and close the issue if it is Ok
(0029098)
apn (administrator)
2014-04-28 15:17

Branch CR24811 was created.
Testing case:
bugs modalg_5 bug24811 - OK

- Related Changesets
occt: master 1a25084d
Timestamp: 2014-04-28 11:15:42
Author: abv
Committer: abv
Details ] Diff ]
0024811: Intersection is insufficient

Added test case bugs/modalg_5/bug24811
add - tests/bugs/modalg_5/bug24811 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-04-09 11:58 Hayashi New Issue
2014-04-09 11:58 Hayashi Assigned To => ifv
2014-04-09 11:58 Hayashi File Added: edges.zip
2014-04-23 09:21 Hayashi Note Added: 0029027
2014-04-25 19:37 abv Note Added: 0029085
2014-04-25 19:37 abv Assigned To ifv => mkv
2014-04-25 19:37 abv Status new => feedback
2014-04-25 19:37 abv Target Version => 6.7.1
2014-04-28 12:02 bugmaster Assigned To mkv => apn
2014-04-28 15:17 apn Note Added: 0029098
2014-04-28 15:17 apn Test case number => bugs modalg_5 bug24811
2014-04-28 15:17 apn Assigned To apn => bugmaster
2014-04-28 15:17 apn Status feedback => tested
2014-05-05 17:24 abv Changeset attached => occt master 1a25084d
2014-05-05 17:24 abv Assigned To bugmaster => abv
2014-05-05 17:24 abv Status tested => verified
2014-05-05 17:24 abv Resolution open => fixed
2014-09-11 11:47 bugmaster Status verified => closed
2014-09-11 11:47 bugmaster Fixed in Version => 6.7.1


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker